org.springframework.data.relational.core.mapping.event

## Class AfterLoadEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.relational.core.mapping.event.AbstractRelationalEvent<E>
      - - org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity<E>
        - - org.springframework.data.relational.core.mapping.event.AfterLoadEvent<E>

All Implemented Interfaces:
  Serializable, RelationalEvent<E>, WithEntity<E>

    public class AfterLoadEvent<E>
    extends RelationalEventWithEntity<E>

Gets published after instantiation and setting of all the properties of an entity. This allows to do some postprocessing of entities if the entities are mutable. For immutable entities use `AfterLoadCallback`.

Author:
  Jens Schauder
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`AfterLoadEvent(E entity)`

### Method Summary

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity

`getEntity, getType`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AfterLoadEvent

    public AfterLoadEvent(E entity)

Parameters:
  `entity` - the newly instantiated entity. Must not be null.